p {
  color: #7b84a4;
}

a {
  color: #7b84a4;
  text-decoration: none;
}

.post {
  -webkit-transition: width 300ms;
  transition: 300ms;
  display: flex;
  border-bottom: 1.5px solid #eef1f8;
  padding: 0px 30px;
  position: relative;

  &:hover {
    -webkit-transition: width 300ms;
    transition: 300ms;
    background-color: #deeaff;
  }
}

.post-content {
  width: 70%;
  margin-right: 10px;

  .truncate-heading {
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
  }

  .truncate-text {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
  }
}

.pils ul {
  list-style-type: none;
  display: flex;
  padding: 0;
  flex-wrap: wrap;
}

.pils li {
  margin: 0 8px 16px 0;
  background-color: #c4c3c526;
  color: #7b84a4;
  border-radius: 15px;
  border: 1px solid rgb(202, 197, 197);
  padding: 2px 6px;
  -webkit-transition: width 300ms;
  transition: 300ms;

  &:hover {
    background-color: #f48c00;
    color: #19212e;
    -webkit-transition: width 300ms;
    transition: 300ms;
  }
}

.post-uploader {
  display: flex;
  align-items: center;
  margin-bottom: 16px;
  color: #7b84a4;

  .user-image {
    background-image: url("../../../../assets/admin.jpg");
    background-size: cover;
    width: 30px;
    height: 30px;
    border-radius: 15px;
  }

  .uploader {
    margin: 0px 15px;
  }
  .status {
    margin-right: 15px;
    padding: 5px 10px;
    background-color: #872d88;
    border-radius: 5px;
    color: #fff;
  }

  .category {
    color: #64b9d6;
    margin-left: 3px;
  }
}

.post-info {
  display: flex;
  width: 30%;
  justify-content: space-between;

  div:nth-child(2) .circle {
    background: #1bbc9b;
    background: -webkit-linear-gradient(to right, #6b8f40, #1bbc9b);
    background: linear-gradient(to right, #6b8f40, #1bbc9b);
    color: #fff;
  }

  .circle {
    height: 50px;
    width: 50px;
    display: table-cell;
    text-align: center;
    vertical-align: middle;
    border-radius: 50%;
    border: 1.5px solid rgb(202, 197, 197);
    color: #7b84a4;
    background: #ece9e6;
    background: -webkit-linear-gradient(to right, #ffffff, #ece9e6);
    background: linear-gradient(to right, #ffffff, #ece9e6);
  }

  p {
    text-align: center;
    transform: rotate(2deg);
  }
}

@media only screen and (max-width: 1174px) {
  .post {
    flex-direction: column;

    .post-content {
      width: 100%;
    }

    .post-info {
      width: 100%;
      justify-content: space-around;
    }
  }
}
/* nuo 1174 */
@media only screen and (min-width: 1174px) {
  .post-info {
    padding-top: 20px;
  }
}

/* iki 790 */
@media only screen and (max-width: 790px) {
  .post {
    flex-direction: column;

    .post-content {
      width: 100%;
      margin-right: 20px;

      .pils ul {
        font-size: 14px;
      }
    }

    .post-info {
      width: 100%;
      justify-content: space-evenly;
    }
  }

  .post-uploader {
    font-size: 12px;
    margin-bottom: 35px;
    flex-direction: column;

    .status {
      margin-right: 0px !important;
    }
  }
}

@media only screen and (max-width: 321px) {
  .pils li {
    font-size: 12px;
  }

  .post-uploader {
    flex-direction: column;
  }
}
